<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="质量设计接箍工序">
    
	<query id="CraftOrdDesignMscJgPlStiDAL.query" desc="查询质量设计接箍工序">
		<![CDATA[
 SELECT 
       T.DESGIN_KEY,
       T.CODE_JG,
       T.MSC_PLINE,
       T.WHOLE_BACKLOG,
       T.WHOLE_BACKLOG_DESC,
       T.BACKLOG_SEQ,
       T.PROCESS_CODE,
       T.PROCESS_DESC,
       T.PROCESS_SEQ,
       T.PROCESS_CODE_C,
       T.PROCESS_DESC_C,
       T.STATION_ID,
       T.STATION_CODE,
       T.STATION_DESC,
       T.STATION_TYPE
 FROM Craft_ORD_DESIGN_MSC_JG_PL_STI T
 WHERE
T.DESGIN_KEY = '#DESGIN_KEY#'
AND DECODE('#CODE_JG#', NULL, '1', T.CODE_JG) = DECODE('#CODE_JG#', NULL, '1', '#CODE_JG#')
AND DECODE('#MSC_PLINE#', NULL, '1', T.MSC_PLINE) = DECODE('#MSC_PLINE#', NULL, '1', '#MSC_PLINE#')
AND DECODE('#PROCESS_CODE#', NULL, '1', T.PROCESS_CODE) = DECODE('#PROCESS_CODE#', NULL, '1', '#PROCESS_CODE#')
AND DECODE('#STATION_CODE#', NULL, '1', T.STATION_CODE) = DECODE('#STATION_CODE#', NULL, '1', '#STATION_CODE#')
		]]>
	</query>
</queryMap>